<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/platform_white">

    <RelativeLayout
        android:id="@+id/rl_search"
        android:layout_width="match_parent"
        android:layout_height="@dimen/consultant_title_bar_height"

        android:paddingStart="15dp"
        android:tag="tag_search_input"
        app:layout_constraintTop_toTopOf="parent"
        >

        <View
            android:id="@+id/view_search_input_bg"
            android:layout_width="match_parent"
            android:layout_height="32dp"
            android:layout_centerVertical="true"
            android:layout_marginRight="60dp"
            android:background="@drawable/consultant_bg_hot_search_input"
            android:tag="tag_search_input_bg" />

        <ImageView
            android:id="@+id/iv_search_icon"
            android:layout_width="14dp"
            android:layout_height="14dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="10dp"
            android:scaleType="centerCrop"
            android:src="@drawable/consultant_icon_input_search"
            android:tag="tag_search_input_img" />

        <EditText
            android:id="@+id/etSearch"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginRight="20dp"
            android:layout_toLeftOf="@+id/iv_delete_icon"
            android:layout_toRightOf="@id/iv_search_icon"
            android:background="@null"
            android:cursorVisible="true"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:hint="搜索心理问题或专家姓名"
            android:imeOptions="actionSearch"
            android:maxLength="100"
            android:singleLine="true"
            android:tag="tag_search_input_edit"
            android:textColor="#242424"
            android:textColorHint="#b3b3b3"
            android:textCursorDrawable="@drawable/consultant_edit_cursor_drawable"
            android:textSize="13sp" />

        <ImageView
            android:id="@+id/iv_delete_icon"
            android:layout_width="14dp"
            android:layout_height="14dp"
            android:layout_alignRight="@+id/view_search_input_bg"
            android:layout_centerVertical="true"
            android:layout_marginRight="12dp"
            android:scaleType="centerCrop"
            android:src="@drawable/platform_delete"
            android:visibility="invisible" />

        <TextView
            android:id="@+id/tv_search_cancle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="10dp"
            android:padding="5dp"
            android:text="取消"
            android:textColor="#242424"
            android:textSize="15dp" />
    </RelativeLayout>

    <View
        android:id="@+id/v_topLine"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_below="@+id/rl_search"
        android:layout_marginTop="@dimen/platform_dp_6"
        android:background="@color/platform_color_E0E0E0"
        app:layout_constraintTop_toBottomOf="@id/rl_search" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        app:layout_constraintTop_toBottomOf="@id/v_topLine"
        >

        <LinearLayout
            android:id="@+id/clContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">


            <com.ydl.ydlcommon.view.widgets.RoundImageView
                android:id="@+id/iv_daoyi_image"
                android:layout_width="match_parent"
                android:layout_height="90dp"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:scaleType="centerCrop"
                android:visibility="gone"
                app:pa_borderRadius="8dp"
                app:pa_type="pa_round"
                tools:visibility="visible" />


            <LinearLayout
                android:id="@+id/ll_search_history"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/v_topLine"
                android:layout_marginTop="13dp"
                android:clickable="true"
                android:focusable="true"
                android:orientation="vertical"
                android:paddingLeft="15dp"
                android:paddingRight="15dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="历史搜索"
                        android:textColor="#242424"
                        android:textSize="@dimen/platform_dp_16"
                        android:textStyle="bold" />

                    <ImageView
                        android:id="@+id/iv_delete_history"
                        android:layout_width="28dp"
                        android:layout_height="28dp"
                        android:padding="5dp"
                        android:src="@drawable/consultant_hot_search_delete_icon" />

                </LinearLayout>

                <cn.lankton.flowlayout.FlowLayout
                    android:id="@+id/fl_search_history"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="12dp" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/llHotSearch"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_search_history"
                android:layout_marginTop="13dp"
                android:clickable="true"
                android:focusable="true"
                android:orientation="vertical"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:visibility="gone"
                tools:visibility="visible">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="热门搜索"
                    android:textColor="#242424"
                    android:textSize="@dimen/platform_dp_16"
                    android:textStyle="bold" />

                <cn.lankton.flowlayout.FlowLayout
                    android:id="@+id/flHotSearch"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="12dp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llHotExpert"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/llHotSearch"
                android:layout_marginTop="13dp"
                android:clickable="true"
                android:focusable="true"
                android:orientation="vertical"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:visibility="gone"
                tools:visibility="visible">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="本周热门专家"
                    android:textColor="#242424"
                    android:textSize="@dimen/platform_dp_16"
                    android:textStyle="bold" />

                <cn.lankton.flowlayout.FlowLayout
                    android:id="@+id/flHotExpert"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="12dp" />
            </LinearLayout>

            <androidx.cardview.widget.CardView
                android:id="@+id/card_view"
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:layout_below="@+id/llHotExpert"
                android:layout_marginLeft="@dimen/platform_dp_15"
                android:layout_marginTop="@dimen/platform_dp_28"
                android:layout_marginRight="@dimen/platform_dp_15"
                android:layout_marginBottom="@dimen/platform_dp_28"
                app:cardCornerRadius="@dimen/platform_dp_4"
                app:cardElevation="0px">

                <com.ydl.ydlcommon.view.banner.Banner
                    android:id="@+id/banner"
                    android:layout_width="match_parent"
                    android:layout_height="80dp"
                    android:scaleType="centerCrop"
                    android:tag="overScroll"
                    app:pa_indicator_different_width="14dp"
                    app:pa_indicator_drawable_selected="@drawable/consultant_banner_indicator_select"
                    app:pa_indicator_drawable_unselected="@drawable/consultant_banner_indicator_unselect"
                    app:pa_indicator_height="5dp"
                    app:pa_indicator_margin="1.25dp"
                    app:pa_is_selected_same_unselected="false" />
            </androidx.cardview.widget.CardView>

        </LinearLayout>
    </ScrollView>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_search_words"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintTop_toBottomOf="@id/v_topLine"
        app:layout_constraintBottom_toBottomOf="parent"
        android:background="@color/white"
        android:layout_marginTop="8dp"
        android:visibility="gone"
        />
</androidx.constraintlayout.widget.ConstraintLayout>



